<div *ngIf="loading">
  <app-loader></app-loader>
</div>
<div class="animated fadeIn">
  <div class="row">
    <div class="col-lg-12">
      <div class="card card-accent-success">
        <div class="card-header">
          <h4 class="card-title mb-0 font-weight-bold">DAFTAR SIMPANAN ANGGOTA BARU</h4>
        </div>
        <div class="card-body">
          <div class="row">
            <div class="col-sm-9 form-inline">
              <label class="col-form-label mr-1">Menunjukkan </label>
              <select (change)="doGetListSimpanan()" class="form-control" [(ngModel)]="itemsPerPage">
                <option value="10">10</option>
                <option value="25">25</option>
                <option value="50">50</option>
                <option value="100">100</option>
              </select>
              <label class="ml-1"> Data</label>
            </div>
            <!--<div class="col-sm-3">-->
              <!--<button *ngIf="dataUser.role === 'HRD'" class="pull-right btn btn-success" data-toggle="modal" (click)="addModal.show()">-->
                <!--<i class="icon-plus"></i> Tambah Pengajuan</button>-->
            <!--</div>-->
          </div><br>
          <div class="card card-accent-success" *ngIf="dataUser.role!=='HRD'">
            <div class="card-body">
              <div class="row">
                <div class="col-sm-4">
                  <label class="col-form-label">Perusahaan </label>
                  <app-company-select [options]="listPerusahaan" (someChildEvent)="selectedPerusahaan=$event" ></app-company-select>
                </div>
                <div class="col-sm-1 pl-0 pr-0" style="margin-top: 34px">
                  <button class="btn btn-success"  (click)="doGetListSimpanan()"><i class="fa fa-search"></i> Cari</button>
                </div>
              </div>
            </div>
          </div>
          <!--<div class="card card-accent-success">-->
            <!--<div class="card-body">-->
              <!--<div class="row">-->
                <!--<div class="col-sm-3">-->
                  <!--<label class="col-form-label">Tanggal Mulai</label>-->
                  <!--<input class="form-control" id="tanggalMulai" type="text"  placeholder="Pilih Tanggal" onfocus="(this.type='date')" onblur="(this.type='text')" [(ngModel)]="tanggalMulai">-->
                <!--</div>-->
                <!--<div class="col-sm-3">-->
                  <!--<label class="col-form-label">Tanggal Akhir</label>-->
                  <!--<input class="form-control" id="tanggalAkhir" type="text" placeholder="Pilih Tanggal" onfocus="(this.type='date')" onblur="(this.type='text')" [(ngModel)]="tanggalAkhir">-->
                <!--</div>-->
                <!--<div class="col-sm-3">-->
                  <!--<label *ngIf="dataUser.role!=='HRD'" class="col-form-label">Perusahaan </label>-->
                  <!--<app-company-select *ngIf="dataUser.role!=='HRD'" [options]="listPerusahaan" (someChildEvent)="selectedPerusahaan=$event" ></app-company-select>-->
                <!--</div>-->
                <!--<div [ngClass]="{'col-sm-2': dataUser.role === 'HRD', 'col-sm-3': dataUser.role === 'ADM' || dataUser.role === 'PENGAWAS'}">-->
                  <!--<label class="col-form-label">Pencarian </label>-->
                  <!--<input id="appendedInputButton" [(ngModel)]="filterText" class="form-control" type="text" placeholder="Pencarian...">-->
                  <!--&lt;!&ndash;<div class="controls">&ndash;&gt;-->
                  <!--&lt;!&ndash;<div class="input-group">&ndash;&gt;-->
                  <!--&lt;!&ndash;<input id="appendedInputButton" [(ngModel)]="filterText" class="form-control" size="16" type="text" placeholder="Pencarian...">&ndash;&gt;-->
                  <!--&lt;!&ndash;<span class="input-group-append">&ndash;&gt;-->
                  <!--&lt;!&ndash;<button class="btn btn-success" type="button" (click)="doGetListFee()"><i class="fa fa-search"></i> Cari </button>&ndash;&gt;-->
                  <!--&lt;!&ndash;</span>&ndash;&gt;-->
                  <!--&lt;!&ndash;</div>&ndash;&gt;-->
                  <!--&lt;!&ndash;</div>&ndash;&gt;-->
                <!--</div>-->
                <!--<div class="col-sm-1 pl-0 pr-0" style="margin-top: 34px">-->
                  <!--<button class="btn btn-success"  (click)="doGetListFee()"><i class="fa fa-search"></i> Cari</button>-->
                <!--</div>-->
              <!--</div>-->
            <!--</div>-->
          <!--</div>-->
          <!--<div *ngIf="listSimpanan | filter: filterText as list">-->
          <table class="table table-bordered table-striped table-sm table-responsive">
            <thead>
            <tr class="font-xs">
              <th class="text-center align-middle" style="width: 1%">#</th>
              <!--<th class="text-center">ID Ajuan</th>-->
              <th class="text-center align-middle" style="width: 7%" (click)="sort('nomorAnggota')">Nomor Anggota
                <i class="fa pull-right" [ngClass]="{'fa-sort': column != 'nomorAnggota',
                                    'fa-sort-asc': (column == 'nomorAnggota' && isDesc),
                                    'fa-sort-desc': (column == 'nomorAnggota' && !isDesc) }"
                   aria-hidden="true">
                </i>
              </th>
              <th class="text-center align-middle" style="width: 12%" (click)="sort('nama')">Anggota
                <i class="fa pull-right" [ngClass]="{'fa-sort': column != 'nama',
                                    'fa-sort-asc': (column == 'nama' && isDesc),
                                    'fa-sort-desc': (column == 'nama' && !isDesc) }"
                   aria-hidden="true">
                </i>
              </th>
              <th class="text-center align-middle" style="width: 10%" (click)="sort('namaProject')">Nama Proyek
                <i class="fa pull-right" [ngClass]="{'fa-sort': column != 'namaProject',
                                    'fa-sort-asc': (column == 'namaProject' && isDesc),
                                    'fa-sort-desc': (column == 'namaProject' && !isDesc) }"
                   aria-hidden="true">
                </i>
              </th>
              <th class="text-center align-middle" style="width: 8%" (click)="sort('tanggalRegistrasi')">Tanggal Registrasi
                <i class="fa pull-right" [ngClass]="{'fa-sort': column != 'tanggalRegistrasi',
                                    'fa-sort-asc': (column == 'tanggalRegistrasi' && isDesc),
                                    'fa-sort-desc': (column == 'tanggalRegistrasi' && !isDesc) }"
                   aria-hidden="true">
                </i>
              </th>
            </tr>
            </thead>
            <tbody *ngIf="!listSimpanan || listSimpanan.length===0">
            <tr>
              <td colspan="5" class="text-center">Tidak Ada Data</td>
            </tr>
            </tbody>
            <tbody>
            <tr class="text-center font-xs" *ngFor="let data of listSimpanan | orderBy: {property: column, direction: direction}; let i=index;">
              <td>{{ (currentPage - 1) * itemsPerPage + (i + 1) }}</td>
              <td>{{ data.nomorAnggota }}</td>
              <td><a href="javascript:void()" title="List Pinjaman Anggota" (click)="gotoList(data.nomorNik, data.nama, data.kodePerusahaan, data.nomorAnggota)"><div>{{ data.nomorNik }}</div></a>{{data.nama}}</td>
              <td>{{ data.lokasiPenempatan }}</td>
              <td>{{data.tanggalRegistrasi | date: 'dd MMM yyyy'}}</td>
            </tr>
            </tbody>
          </table>
          <!--<p class="text-muted font-italic pull-left">Menampilkan {{(currentPage - 1)*itemsPerPage + 1}} hingga {{currentPage*itemsPerPage}} dari {{totalItems}}</p>-->
          <div class="pull-right mt-auto">
            <pagination *ngIf="listSimpanan.length !== 0"  [totalItems]="totalItems" [maxSize]="5" [rotate]="true" [boundaryLinks]="true"
                        [(ngModel)]="currentPage" [itemsPerPage]="itemsPerPage" (pageChanged)="pageChanged($event)">
            </pagination>
          </div>
          <!--</div>-->
        </div>
      </div>
    </div>
  </div>
</div>
